Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

NoSuchOptError: no such option in group neutron: auth_plugin

Hi,

I upgraded our environment from liberty to mitaka and get this error when watching the nova-api.log:

2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions [req-4fd8efa9-3e1f-477b-b0f1-574739f57cf2 051f7eb0c4df40dda84a69d40ee86a48 f2c5a09230a94a8a9ab714877c22948d - - -] Unexpected exception in API method
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions Traceback (most recent call last):
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/api/openstack/extensions.py", line 478, in wrapped
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     return f(*args, **kwargs)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/api/validation/__init__.py", line 73, in wrapper
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     return func(*args, **kwargs)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/api/validation/__init__.py", line 73, in wrapper
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     return func(*args, **kwargs)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/api/validation/__init__.py", line 73, in wrapper
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     return func(*args, **kwargs)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/api/openstack/compute/servers.py", line 629, in create
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     **create_kwargs)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/hooks.py", line 154, in inner
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     rv = f(*args, **kwargs)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/compute/api.py", line 1556, in create
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     check_server_group_quota=check_server_group_quota)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/compute/api.py", line 1139, in _create_instance
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     reservation_id, max_count)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/compute/api.py", line 866, in _validate_and_build_base_options
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     pci_request_info, requested_networks)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/network/neutronv2/api.py", line 1062, in create_pci_requests_for_sriov_ports
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     neutron = get_client(context, admin=True)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/network/neutronv2/api.py", line 139, in get_client
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     _ADMIN_AUTH = _load_auth_plugin(CONF)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/nova/network/neutronv2/api.py", line 119, in _load_auth_plugin
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     err_msg = _('Unknown auth plugin: %s') % conf.neutron.auth_plugin
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/oslo_config/cfg.py", line 2950, in __getattr__
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     return self._conf._get(name, self._group)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/oslo_config/cfg.py", line 2571, in _get
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     value = self._do_get(name, group, namespace)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/oslo_config/cfg.py", line 2588, in _do_get
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     info = self._get_opt_info(name, group)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions   File "/usr/lib/python2.7/site-packages/oslo_config/cfg.py", line 2722, in _get_opt_info
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions     raise NoSuchOptError(opt_name, group)
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions NoSuchOptError: no such option in group neutron: auth_plugin
2016-04-18 08:42:54.548 2477 ERROR nova.api.openstack.extensions

There is no "auth_plugin" config variable set (all commented out):

[root@host123 neutron]# grep -r "auth_plugin" /etc/
/etc/heat/heat.conf.rpmnew:#auth_plugin = <None>
/etc/neutron/neutron.conf:# auth_plugin =
/etc/neutron/neutron.conf.rpmnew:# Deprecated group/name - [DEFAULT]/auth_plugin
/etc/neutron/neutron.conf.rpmnew:# Deprecated group/name - [DEFAULT]/auth_plugin
/etc/ceilometer/ceilometer.conf.rpmnew:# Deprecated group/name - [DEFAULT]/auth_plugin
/etc/ceilometer/ceilometer.conf.rpmnew:# Deprecated group/name - [DEFAULT]/auth_plugin
/etc/glance/glance-registry.conf.rpmnew:# Deprecated group/name - [DEFAULT]/auth_plugin
/etc/glance/glance-glare.conf:# Deprecated group/name - [DEFAULT]/auth_plugin
/etc/glance/glance-api.conf.rpmnew:# Deprecated group/name - [DEFAULT]/auth_plugin
/etc/cinder/cinder.conf.rpmnew:# Deprecated group/name - [DEFAULT]/auth_plugin
/etc/nova/nova.conf:# DEPRECATED: specify an auth_plugin and appropriate
/etc/nova/nova.conf:# DEPRECATED: specify an auth_plugin and appropriate
/etc/nova/nova.conf:# DEPRECATED: specify an auth_plugin and appropriate
/etc/nova/nova.conf:# DEPRECATED: specify an auth_plugin and appropriate
/etc/nova/nova.conf:# within a domain. DEPRECATED: specify an auth_plugin and
/etc/nova/nova.conf:# context. DEPRECATED: specify an auth_plugin and appropriate
/etc/nova/nova.conf:# context. DEPRECATED: specify an auth_plugin and appropriate
/etc/nova/nova.conf:# credentials instead. If an auth_plugin is specified strategy
/etc/nova/nova.conf.rpmnew:# Deprecated group;name - DEFAULT;auth_plugin
/etc/nova/nova.conf.rpmnew:# Deprecated group;name - DEFAULT;auth_plugin

How can I fix this?